globus_openssl_activation(3)

NAME
globus_openssl_activation - Activation

 - Activation.

SYNOPSIS

  Macros

#define GLOBUS_OPENSSL_MODULE

Detailed Description

Activation.

Globus OpenSSL uses standard Globus module activation and deactivation. Before any OpenSSL functions are called, the following function must be called:

globus_module_activate(GLOBUS_OPENSSL_MODULE)

This function returns GLOBUS_SUCCESS if OpenSSL was successfully initialized, and you are therefore allowed to subsequently call OpenSSL functions. Otherwise, an error code is returned, and OpenSSL functions should not subsequently be called. This function may be called multiple times.

To deactivate the OpenSSL module , the following function must be called:

globus_module_deactivate(GLOBUS_OPENSSL_MODULE)

This function should be called once for each time OpenSSL was activated.

Macro Definition Documentation

  #define GLOBUS_OPENSSL_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_openssl_module from the source code.